
% General Strings used in the GUI (captions etc.)
string(windowtitle,'Ghost Stories').
string(serverwindowtitle,'Create Server').
string(nextActionButton,'Weiter').
string(fightButton,'Kaempfen').
string(villageButton,'Dorfbewohner').

% Messages used in the status bar
string(message,getMove,'Auf welches Dorffeld moechtest du deinen Taoist ziehen?').
string(message,placeGhost, 'Wo moechtest du den Geist platzieren?').
string(message,placeBuddha, 'Wo moechtest Du den Buddha platzieren?').
string(message,villageOrFight, 'Dorfbewohner zu Rate ziehen oder Geist bekaempfen?').
string(message,selectGhost,'Waehle einen Geist.').
string(message,selectVillage,'Waehle ein Dorffeld.').
string(message,currentPlayer,'Am Zug: ').
string(message,yourTurn,' Das bist du!').

string(fight,acceptbutton,'Fight!').
string(fight,abortbutton,'Kampf abbrechen.').
string(fight,notallowed,'Diese Farbe brauchst du nicht.').
string(fight,ghostmessage,'Du hast den Geist besiegt!').
string(fight,notenough,'Das reicht noch nicht, um den Geist zu besiegen.').
string(fight,ghostdefeated,'Geist besiegt.').



% General GUI Files
file(playground,'gfx/playground_colored.xpm').
file(cardstack,'gfx/cardstack.xpm').
file(haunter,'gfx/haunter.xpm').
file(haunter_inactive,'gfx/haunter_inactive.xpm').
file(gameover,'gfx/gameover_neu.xpm').
file(youwin,'gfx/youwin.xpm').

% Monster Card files
file(ghostcard,dummy,_,'gfx/monster_card.xpm').
%file(ghostcard,1,'gfx/ghosts/small/1.xpm').
%file(ghostcard,2,'gfx/ghosts/small/2.xpm').
valid_ghost_id(Id) :-
	Id > 0,
	Id < 84.
file(ghostcard,Id,Orientation,Path) :-
	valid_ghost_id(Id),
	Orientation = updown,
	concat('gfx/ghosts/small/',Id,Foo),
	concat(Foo,'.xpm',Path).
file(ghostcard,Id,Orientation,Path) :-
	valid_ghost_id(Id),
	Orientation = rightside,
	concat('gfx/ghosts/small/right/',Id,Foo),
	concat(Foo,'.xpm',Path). 
file(ghostcard,Id,Orientation,Path) :-
	valid_ghost_id(Id),
	Orientation = leftside,
	concat('gfx/ghosts/small/left/',Id,Foo),
	concat(Foo,'.xpm',Path). 
file(ghostcard,Id,Orientation,Path) :-
	valid_ghost_id(Id),
	Orientation = large,
	concat('gfx/ghosts/',Id,Foo),
	concat(Foo,'.xpm',Path).

villageName(1,cemetery).
villageName(2,taoist_altar).
villageName(3,herbalists_shop).
villageName(4,sorcerers_hut).
villageName(5,night_watchmens_post).
villageName(6,buddhist_temple).
villageName(7,circle_of_prayer).
villageName(8,tea_house).
villageName(9,pavilion_of_the_heavenly_wind).
file(villagefield,Id,HauntedOrNormal,Path):-
	HauntedOrNormal = normal,
	villageName(Id,FileName),
	concat('gfx/village/',FileName,Foo),
	concat(Foo, '.xpm',Path).
file(villagefield,Id,HauntedOrNormal,Path):-
	HauntedOrNormal = haunted,
	villageName(Id,FileName),
	concat('gfx/village/haunted/',FileName,Foo),
	concat(Foo, '.xpm',Path).
     
file(buddhafigure,'gfx/buddhafigur.xpm').
file(buddhafiguresmall,'gfx/buddhafigur_smaller.xpm').

% Village field files
/*file(village,1,'gfx/buddha.xpm').
file(village,2,'gfx/friedhof.xpm').
file(village,3, 'gfx/gebetskreis.xpm').
file(village,4, 'gfx/hexenhuette.xpm').
file(village,5, 'gfx/markstand.xpm').
file(village,6, 'gfx/nachtwaechter.xpm').
file(village,7, 'gfx/pavillon.xpm').
file(village,8, 'gfx/taoaltar.xpm').
file(village,9, 'gfx/villagefields/teehaus.xpm').*/

% Curse dice files
file(cursedice,0,'gfx/dice_curse/curse_dice_blank.xpm').
file(cursedice,1,'gfx/dice_curse/curse_dice_blank.xpm').
file(cursedice,2,'gfx/dice_curse/curse_dice_haunt.xpm').
file(cursedice,3,'gfx/dice_curse/curse_dice_add_ghost.xpm').
file(cursedice,4,'gfx/dice_curse/curse_dice_lose_tao.xpm').
file(cursedice,5,'gfx/dice_curse/curse_dice_lose_qi.xpm').

% Tao marker files
file(taomarker, black, 'gfx/tao_marker/tao_marker_black.xpm').
file(taomarker, yellow, 'gfx/tao_marker/tao_marker_yellow.xpm').
file(taomarker, red, 'gfx/tao_marker/tao_marker_red.xpm').
file(taomarker, green, 'gfx/tao_marker/tao_marker_green.xpm').
file(taomarker, blue, 'gfx/tao_marker/tao_marker_blue.xpm').

% Small tao marker files
file(taomarker_small, black, 'gfx/tao_marker/tao_marker_black_small.xpm').
file(taomarker_small, yellow, 'gfx/tao_marker/tao_marker_yellow_small.xpm').
file(taomarker_small, red, 'gfx/tao_marker/tao_marker_red_small.xpm').
file(taomarker_small, green, 'gfx/tao_marker/tao_marker_green_small.xpm').
file(taomarker_small, blue, 'gfx/tao_marker/tao_marker_blue_small.xpm').
